{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "groups/manage_group_base.html" %}

{% block breadcrumbs %}
  {{ super() }}
  {% snippet "breadcrumb", url=url_for("groups.manage_members", id=group.id), title=title %}
{% endblock %}

{% block content %}
  <div class="card">
    {% include "groups/snippets/manage_group_menu.html" %}

    <div class="card-body">
      <submission-form>
        {{ render_csrf() }}

        <dynamic-select-field endpoint="{{ url_for('api.select_users') }}"
                              placeholder="{% trans %}Search for users{% endtrans %}"
                              :field="{{ json_field(form.users) }}"
                              :request-params="{exclude: [{{ group.creator.id }}]}"
                              :multiple="true">
        </dynamic-select-field>
        <select-field :field="{{ json_field(form.role) }}"></select-field>
        <div class="d-flex justify-content-between">
          <submit-field :field="{{ json_field(form.submit) }}"></submit-field>
          <roles-popover :roles="{{ get_object_roles('group') | force_json }}"></roles-popover>
        </div>
      </submission-form>
      <hr>
      <resource-permissions title="{% trans %}Members{% endtrans %}"
                            placeholder="{% trans %}No members.{% endtrans %}"
                            endpoint="{{ url_for('api.get_group_members', id=group.id, exclude=[group.creator.id]) }}"
                            :roles="{{ get_object_roles('group') | force_json }}">
      </resource-permissions>
    </div>
  </div>
{% endblock %}
